#pragma once

#include "CoreMinimal.h"
#include "PerformancePerk.h"
#include "Templates/SubclassOf.h"
#include "S49P02.generated.h"

class US49P02Interaction;
class UStatusEffect;
class ADBDPlayer;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class US49P02 : public UPerformancePerk
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	US49P02Interaction* _S49P02Interaction;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _S49P02StatusEffectClass;

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_S49P02PerkLoadedInGame(const TArray<ADBDPlayer*>& order);

public:
	US49P02();
};

FORCEINLINE uint32 GetTypeHash(const US49P02) { return 0; }
